package com.docus.server.sys.infrastructure.dao.impl;

import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.server.sys.common.pojo.dto.UserModifyParam;
import com.docus.server.sys.common.pojo.entity.PowerUser;
import com.docus.server.sys.infrastructure.dao.IPowerUserDao;
import com.docus.server.sys.infrastructure.mapper.PowerUserMapper;
import org.springframework.stereotype.Repository;

@Repository
public class PowerUserDaoImpl extends BaseDaoImpl<PowerUserMapper, PowerUser> implements IPowerUserDao {

    @Override
    public PowerUser getUserByUserName(String userName) {
        return baseMapper.getUserByUserName(userName);
    }

    @Override
    public void addUser(UserModifyParam userModifyParam) {
        baseMapper.addUser(userModifyParam);
    }

    @Override
    public void updateUser(UserModifyParam userModifyParam) {
        baseMapper.updateUser(userModifyParam);
    }

    @Override
    public void delUserByUserName(String userName) {
        baseMapper.delUserByUserName(userName);
    }


}
